aml2732 commented on a change in pull request #59: Travis: Integration tests 
and setup script
URL: 
https://github.com/apache/incubator-openwhisk-client-js/pull/59#discussion_r130192552
 
 

 ##########
 File path: test/integration/prepIntegrationTests.sh
 ##########
 @@ -0,0 +1,122 @@
+#!/bin/bash
+#set -e
+#Usage: ./test/integration/prepIntegrationTests.sh 
<yourapikeyintheformofABCD:EFGH> <openwhis hostname> <openwhisk namespace> <api 
gatewaytoken>
+# Run from the incubator-openwhisk-client-js
+
+# Make sure wsk is installed; exit if wsk is not available.
+if ! type "wsk" > /dev/null; then
+  echo "Exiting program; wsk is not installed on the system. Cannot preform 
tests"
+  exit 1
+fi
+
+# Assert NODEJS6/NPM3 is default
+if [[ ! $(node --version) =~ v6.[0-9]*.[0-9]* ]]; then
 
 Review comment:
   oh man. I'll have to look into how to do that.
   
 
----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
[email protected]


With regards,
Apache Git Services

Reply via email to